<?php
/**
 * @version     $Id$
 * @package     Election
 * @subpackage  com_election
 * @copyright   Copyright 2009 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

/**
 * Election display helper.
 *
 * @package     Election
 * @subpackage  com_election
 * @since       2.0.0
 */
class ElectionHelper
{
	/**
	 * Configure the Linkbar.
	 *
	 * @param   string  $vName  The name of the active view.
	 *
	 * @return  void
	 *
	 * @since   2.0.0
	 */
	public static function addSubmenu($vName)
	{
		JSubMenuHelper::addEntry(
			JText::_('COM_ELECTION_SUBMENU_CATEGORIES'),
			'index.php?option=com_categories&extension=com_election',
			$vName == 'categories'
		);
		
		JSubMenuHelper::addEntry(
			JText::_('COM_ELECTION_SUBMENU_YEARS'),
			'index.php?option=com_election&view=years',
			$vName == 'years'
		);

		JSubMenuHelper::addEntry(
			JText::_('COM_ELECTION_SUBMENU_TOWNS'),
			'index.php?option=com_election&view=towns',
			$vName == 'towns'
		);

		JSubMenuHelper::addEntry(
			JText::_('COM_ELECTION_SUBMENU_REFERENDUMS'),
			'index.php?option=com_election&view=referendums',
			$vName == 'referendums'
		);

		JSubMenuHelper::addEntry(
			JText::_('COM_ELECTION_SUBMENU_CHOICES'),
			'index.php?option=com_election&view=choices',
			$vName == 'choices'
		);

		JSubMenuHelper::addEntry(
			JText::_('COM_ELECTION_SUBMENU_BALLOTS'),
			'index.php?option=com_election&view=ballots',
			$vName == 'ballots'
		);
	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return  JObject
	 * @since   1.6
	 */
	public static function getActions()
	{
		$user	= JFactory::getUser();
		$result	= new JObject;

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action) {
			$result->set($action, $user->authorise($action, 'com_election'));
		}

		return $result;
	}
}